Bug 12491 - rpm 4.0.32 lock message is wrong
Summary: rpm 4.0.32 lock message is wrong
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-19 00:28 UTC by R P Herrold
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-21 01:43:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2000-06-19 00:28:30 UTC
Running a query while a package install is running in another window yields
this lock message:

cannot get shared lock on /var/lib/rpm/Packages
 
failed to open /var/lib/rpm/packages.rpm: No such file or directory
  

dbiOpen: cannot open Packages index   

-------------------

The CORRECT name of this package is:    Packages            
and NOT   packages.rpm 

... is this an error message problem, or a filename issue?

Comment 1 Jeff Johnson 2000-06-21 01:43:26 UTC
This is largely a problem with aging and misleading error messages rather
than a real problem. The current algorithm, when the desired db3 open fails,
is to attempt a db1 open, which of course also fails. A more precise return
from the db3 open will permit skipping the futile db1 open attempt.

Comment 2 Jeff Johnson 2000-07-20 18:05:12 UTC
This should be fixed in rpm-4.0-0.56. Please reopen if not.


Note You need to log in before you can comment on or make changes to this bug.